//
// Title       : Problem 2b test fixture
// Design      : Homework 3
// Author      : Carl Ebeling
// Company     : CSE 370
//
//----------------------------------------------------------------------------
//
// File        : compare8_tf.v
//
// Description : This test fixture tests the 8-bit comparator
//
//---------------------------------------------------------------------------
`timescale 1ns / 1ns

module compare8_tf (A, B, EQ, LT);

output [7:0] A, B;
input EQ, LT;
reg [7:0] A, B;

integer	errors;
integer count;

initial	begin  
	errors = 0;	   
	for (count = 0; count < 100; count = count + 1) begin
		A = $random; 
		if ($random & 1) B = $random;	   // Make sure we test equality
			else B = A;
		#10
		//	$display("A:%d, B:%d, EQ:%d, LT:%d", A, B, EQ, LT);
		if ((EQ !== (A == B)) || (LT !== (A < B))) begin
			$display("A:%d, B:%d, EQ:%d, GT:%d", A, B, EQ, LT);
			errors = errors + 1;	
		end
	end
	if (errors == 0) $display("Test passed - No errors!!");
		else $display("**** %d Errors****", errors);
end
	
endmodule
